import { ChatMessageViewModel } from "../viewmodel/ChatMessageViewModel";
import { ChatModel } from "../model/ChatModel";
import { MarkDownService } from "../service/MarkDownService";
import { EncryptionService } from "../service/EncryptionService";
import { NotificationService } from "../service/NotificationService";
import { UserModel } from "../model/UserModel";

export interface ChatViewDeps {
    chatModel: ChatModel;
    messageContainer: HTMLElement;
    messageSendTemplate: Handlebars.TemplateDelegate<ChatMessageViewModel>;
    messageReceiveTemplate: Handlebars.TemplateDelegate<ChatMessageViewModel>;
    markdownService: MarkDownService;
    encryptionService: EncryptionService;
    notificationService: NotificationService;
    userModel: UserModel
}