import { ActiveUserViewModel } from "../viewmodel/ActiveUserViewModel";

export interface NotificationService {
    success(message: string): void;
    error(message: string): void;
    errorWithDelay(message: string, delay: number): void;
    warning(message: string): void;
    message(message: string): void;
    passphrasePrompt(vm: ActiveUserViewModel, vms: ActiveUserViewModel[],
        cb1: (...x: any) => any,
        cb2: (...x: any) => any,
        cb3: (...x: any) => any): void;
}